List variables
Returns a list of variables. The result can be filtered by using the query parameters.
Documentation Index
Fetch the complete documentation index at: https://qovery-argocd-documentation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Query Parameters
it filters the list by returning only the variables accessible by the selected parent_id. This field shall contain the id of a project, environment or service depending on the selected scope. Example, if scope = APPLICATION and parent_id=<application_id>, the result will contain any variable accessible by the application. The result will contain also any variable declared at an higher scope.
the type of the parent_id (application, project, environment etc..).
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM it filters the list by returning only the variables of type secret or not
Response
List variables